package com.cts.sv.log.controller;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class LogServiceController {

	private static final Logger LOG = LoggerFactory.getLogger(LogServiceController.class);


	@GetMapping(path = "/callelk")
	String callRpcService() {

		String currentDateTime="";
		LOG.info("ELK - CALL ELK Request Recived");
		DateTimeFormatter dateFormat = DateTimeFormatter.ofPattern("dd/MM/yyyy HH:mm:ss");
		LocalDateTime datetime = LocalDateTime.now();
		currentDateTime=datetime.format(dateFormat);
		LOG.info("ELK - CALL ELK Request Processed Successfully at : "+currentDateTime);
		return "Called Logging Service! " + currentDateTime ;
	}
	

	@GetMapping(path = "/callerror")
	String callErrorService() {

		String currentDateTime="";
		LOG.info("CALL ERROR Request Recived");
		DateTimeFormatter dateFormat = DateTimeFormatter.ofPattern("dd/MM/yyyy HH:mm:ss");
		LocalDateTime datetime = LocalDateTime.now();
		currentDateTime=datetime.format(dateFormat);
		LOG.info("CALL ERROR Request Processed Successfully at : "+currentDateTime);
		try {
			throw new Exception("elk log service error");
		}catch (Exception e) {
			LOG.error("ERROR - Logging Service failed! " + e.toString());
			
		}
		return "Logging Error Details! " + currentDateTime ;
	}


}
